.Modal {
    @apply fixed inset-0 -z-10 opacity-0 pointer-events-none;
}

.overlay {
    @apply flex items-center justify-center w-full h-full bg-opacity-50 bg-black;
}

.content {
    @apply p-5 rounded-xl bg-slate-900 max-w-md;

    transition: 0.3s transform;
    transform: scale(0.6);
}

.opened {
    @apply z-10 pointer-events-auto opacity-100;

    .content {
        transform: scale(1);
    }
}

.isClosing {
    .content {
        transform: scale(0.2);
    }
}
